> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pay4power.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pay4power.com/_mcp/server.

# Verify Meter Number

POST https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b/b2b/power/verify
Content-Type: application/json

Validates a customer’s meter number and returns the meter details needed before starting an electricity purchase.

Reference: https://docs.pay4power.com/electricity/verify-meter-number

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /b2b/power/verify:
    post:
      operationId: verify-meter-number
      summary: Verify Meter Number
      description: >-
        Validates a customer’s meter number and returns the meter details needed
        before starting an electricity purchase.
      tags:
        - subpackage_electricity
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
        '400':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                description: Any type
servers:
  - url: https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b
    description: Default
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples

**Request**

```json
{
  "receiver": "1111111111111",
  "provider": "YEDSC",
  "meterType": "PREPAID"
}
```

**Response**

```json
{
  "succeeded": true,
  "message": "Meter Verification Successful",
  "errors": null,
  "statusCode": "OK",
  "correlationId": "398d1b4a-3c29-48af-8900-65570346054f",
  "data": {
    "message": "Meter Verification Successful",
    "status": "SUCCESSFUL",
    "provider": "AEDC",
    "meterNumber": "080567235671",
    "receiver": "080567235671",
    "meterType": "POSTPAID",
    "customerName": "Avoseh Emmanuel",
    "customerAddress": "Turbo Energy",
    "tarriffDescription": "N/A",
    "minimumPurchase": "1000",
    "maximumPurchase": "5000000",
    "outstandingPayment": "1000"
  }
}
```